You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 
Manuel Genovés 9bc8dcc19d Fix search not scrolling to ocurrences 2 years ago
.gitlab/issue_templates update issue templates 2 years ago
apostrophe Fix search not scrolling to ocurrences 2 years ago
build-aux Update all references of the app's name 2 years ago
data UI (mainly labels) fixes 2 years ago
help Update all references of the app's name 2 years ago
po update por 2 years ago
screenshots Update all references of the app's name 2 years ago
scripts Update all references of the app's name 2 years ago
tests Update all references of the app's name 2 years ago
.gitignore Update flatpak manifestos 2 years ago
AUTHORS Update AUTHORS 2 years ago
CODE_OF_CONDUCT.md Create CODE_OF_CONDUCT.md 3 years ago
LICENSE Add missing licenses 3 years ago
PKGBUILD Update all references of the app's name 2 years ago
README.md Update all references of the app's name 2 years ago
apostrophe.in Update all references of the app's name 2 years ago
lipsum.md Update all references of the app's name 2 years ago
markdown_test.md initial commit sidebar 8 years ago
meson.build Update all references of the app's name 2 years ago
meson_options.txt Build system: init porting to meson 3 years ago
requirements.txt Remove non-Python requirements from requirements.txt 3 years ago

README.md

Please do not theme this app

Apostrophe

About

Apostrophe is a GTK+ based distraction free Markdown editor, mainly developed by Wolf Vollprecht and Manuel Genovés. It uses pandoc as backend for markdown parsing and offers a very clean and sleek user interface.

Install

You can get Apostrophe on Flathub! Get it now

Contributions and localization

If you want to help to localize the project, just join us at Poeditor Any help is appreciated!

Building from Git

$ git clone https://github.com/Apostrophe/apostrophe.git
$ cd apostrophe
$ meson builddir --prefix=/usr
# sudo ninja -C builddir install

To use apostrophe, please make sure you have some dependencies installed:

  • Pandoc, the program used to convert Markdown to basically anything else (the package name should be pandoc in most distributions)
  • Of course, gtk3 etc. needs to be installed as well since this is a gtk application
  • webkit2gtk is also needed for the preview panel
  • Please find these packages on your distribution: python3 python3-regex python3-setuptools python3-levenshtein python3-enchant python3-gi python3-cairo
  • Optional dependencies are texlive for the pdftex module.

Running it without installing it

You can run Apostrophe with ./apostrophe.in without installing it in the system, but you'll need to install and compile the schemas before:

# sudo cp data/de.wolfvollprecht.UberWriter.gschema.xml /usr/share/glib-2.0/schemas/de.wolfvollprecht.UberWriter.gschema.xml
# sudo glib-compile-schemas /usr/share/glib-2.0/schemas

Building a flatpak package

It's also possible to build, run and debug a flatpak package. You'll need flatpak-builder for this:

$ cd build-aux/flatpak
$ flatpak-builder --force-clean --install --user _build de.wolfvollprecht.UberWriter.json